petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESCOMPOSITE

Build a preconditioner by composing together several nonlinear solvers

### Options Database Keys

| -snes_composite_type <type: one of multiplicative, additive, symmetric_multiplicative, special> | - Sets composite preconditioner type Many br
| -snes_composite_sneses | - <snes0,snes1,...> list of SNESes to compose Many br

Many br

### See Also

SNESCreate(), SNESSetType(), SNESType (for list of available types), SNES,
SNESSHELL, SNESCompositeSetType(), SNESCompositeSpecialSetAlpha(), SNESCompositeAddSNES(), Many brSNESCompositeGetSNES() Many br

### References

1. -Peter R. Brune, Matthew G. Knepley, Barry F. Smith, and Xuemin Tu, "Composing Scalable Nonlinear Algebraic Solvers", Many brSIAM Review, 57(4), 2015 Many br

Level:intermediate
Location:src/snes/impls/composite/snescomposite.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages